package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bft;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface BftMapper {

    int insert(Bft record);

    int insertSelective(Bft record);

    int updateByPrimaryKeySelective(Bft record);

    int updateByPrimaryKey(Bft record);

    int deleteByPrimaryKey(Bft record);

    int deleteByIds(Collection<Object> collection);

    Bft selectByPrimaryKey(Bft record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bft> dyncRead(Map<String, Object> dyncMap);

}